<Unified_Provisioning version="1.0">
    <ApplicationMetadata>
        <Name>IMS</Name>
        <AppId>ap2001</AppId>
        <TextLabel>DEVICE_MGMT_CP_IMS_TXT</TextLabel>
        <RegistryPath>/apps/ims/ims-acc</RegistryPath>
        <AccountKey>account-id</AccountKey>
        <MaxAccounts>1</MaxAccounts>
        <AccountValidatorCID>A675FC62-2897-41A1-96FD-3D7A72791A45</AccountValidatorCID>
    </ApplicationMetadata>
    
    <RequiredRegValues> 
        <Value>
            <RegistryValuePath>/apps/ims/version</RegistryValuePath>
            <RegistryValueType>String</RegistryValueType>
            <DefaultValue>1.0</DefaultValue> <!-- This is the version number of the IMS Settings -->
        </Value>
    </RequiredRegValues>
    
    <DMTree>
        <Com.SonyEricsson type="node">
            <Settings type="node">
                <IMS type="node">
                    <IMSAcc type="node">

                        <!-- Only 1 account supported.  Active account initialized in restore file. 
                        &lt;ActiveAccount type=&quot;leaf&quot; occurrence=&quot;1/1&quot;&gt;
                            &lt;SettingID&gt;0&lt;/SettingID&gt;
                            &lt;Description&gt;A reference to the active IMS-account &lt;/Description&gt;
                            &lt;RegistryValuePath type=&quot;active-account-ref&quot;&gt;/apps/ims/ims-acc/active-account&lt;/RegistryValuePath&gt;
                            &lt;RegistryValueType&gt;UInt&lt;/RegistryValueType&gt;
                            &lt;PossibleValue&gt;N/A&lt;/PossibleValue&gt;
                            &lt;AccessType&gt;Get&lt;/AccessType&gt;
                            &lt;AccessType&gt;Replace&lt;/AccessType&gt;
                            &lt;CPTag&gt;N/A&lt;/CPTag&gt;
                            &lt;DefaultValue&gt;1&lt;/DefaultValue&gt;
                        &lt;/ActiveAccount&gt; -->
                    
                        <X type="placeholder" occurrence="0/1"> <!-- Only one account node is supported. -->
                            <AppID type="leaf" occurrence="1/1">
                                <SettingID>1</SettingID>
                                <Description>This node specifies the application ID for the IMS account management object</Description>
                                <RegistryValuePath>N/A</RegistryValuePath>
                                <RegistryValueType>N/A</RegistryValueType>
                                <PossibleValue>N/A</PossibleValue>
                                <AccessType>Get</AccessType>
                                <CPTag>APPLICATION/APPID</CPTag>
                                <DefaultValue>ap2001</DefaultValue> <!-- This value will be used when DM-server performs Get on this node. No need to store it in the registry. -->
                            </AppID>
                            
                            <Name type="leaf" occurrence="0/1">
                                <SettingID>2</SettingID>
                                <Description>Displayable name for the account.</Description>
                                <RegistryValuePath>/apps/ims/ims-acc/account-id/name</RegistryValuePath>
                                <RegistryValueType>String</RegistryValueType>
                                <PossibleValue>N/A</PossibleValue>
                                <AccessType>Add</AccessType>
                                <AccessType>Get</AccessType>
                                <AccessType>Replace</AccessType>
                                <CPTag>APPLICATION/NAME</CPTag>
                                <DefaultValue>N/A</DefaultValue> <!-- You may want to change this to some counter stuff instead, see DM example in FIA Unified Provisioning -->
                            </Name>
                            
                            <ConRefs type="node" occurrence="1/1">
                                <X type="placeholder" occurrence="1/1"> <!-- Only one data account is supported -->
                                    <ConRef type="leaf" occurrence="1/1">
                                        <SettingID>3</SettingID>
                                        <Description>Name of data account to use</Description>
                                        <RegistryValuePath type="napid">/apps/ims/ims-acc/account-id/data-account</RegistryValuePath>
                                        <RegistryValueType>String</RegistryValueType>
                                        <PossibleValue>N/A</PossibleValue>
                                        <AccessType>Add</AccessType>
                                        <AccessType>Get</AccessType>
                                        <AccessType>Replace</AccessType>
                                        <CPTag>APPLICATION/TO-NAPID</CPTag>
                                        <DefaultValue>N/A</DefaultValue>
                                    </ConRef>
                                </X>
                            </ConRefs>
                            
                            <PDP_ContextOperPref type="leaf" occurrence="1/1">
                                <SettingID>4</SettingID>
                                <Description>Preference to have a dedicated PDP context for SIP signalling</Description>
                                <RegistryValuePath>/apps/ims/ims-acc/account-id/pdp-context-oper-pref</RegistryValuePath>
                                <RegistryValueType>Binary</RegistryValueType>
                                <PossibleValue>0</PossibleValue>
                                <PossibleValue>1</PossibleValue>
                                <AccessType>Add</AccessType>
                                <AccessType>Get</AccessType>
                                <AccessType>Replace</AccessType>
                                <CPTag>APPLICATION/PDP_CONTEXTOPERPREF</CPTag>
                                <DefaultValue>0</DefaultValue>
                            </PDP_ContextOperPref>
                            
                            <P-CSCF_Address type="leaf" occurrence="0/1">
                                <SettingID>5</SettingID>
                                <Description>Defines a FQDN to an IPv4 P-CSCF. Shall only be used in early IMS implementations as described in 3GPP TS 23.221</Description>
                                <RegistryValuePath>/apps/ims/ims-acc/account-id/p-cscf-address</RegistryValuePath>
                                <RegistryValueType>String</RegistryValueType>
                                <PossibleValue>N/A</PossibleValue>
                                <AccessType>Add</AccessType>
                                <AccessType>Get</AccessType>
                                <AccessType>Replace</AccessType>
                                <CPTag>APPLICATION/P-CSCF_ADDRESS</CPTag>
                                <DefaultValue>N/A</DefaultValue>
                            </P-CSCF_Address>

                            <Timer_T1 type="leaf" occurrence="0/1">
                                <SettingID>6</SettingID>
                                <Description>SIP timer T1 - Round trip time given in milliseconds.</Description>
                                <RegistryValuePath>/apps/ims/ims-acc/account-id/timer-t1</RegistryValuePath>
                                <RegistryValueType>UInt</RegistryValueType>
                                <PossibleValue>N/A</PossibleValue>
                                <AccessType>Add</AccessType>
                                <AccessType>Get</AccessType>
                                <AccessType>Replace</AccessType>
                                <CPTag>APPLICATION/TIMER_T1</CPTag>
                                <DefaultValue>5000</DefaultValue>
                            </Timer_T1>

                            <Timer_T2 type="leaf" occurrence="0/1">
                                <SettingID>7</SettingID>
                                <Description>SIP timer T2 - The maximum retransmit interval for non-INVITE requests and INVITE responses,  in milliseconds.</Description>
                                <RegistryValuePath>/apps/ims/ims-acc/account-id/timer-t2</RegistryValuePath>
                                <RegistryValueType>UInt</RegistryValueType>
                                <PossibleValue>N/A</PossibleValue>
                                <AccessType>Add</AccessType>
                                <AccessType>Get</AccessType>
                                <AccessType>Replace</AccessType>
                                <CPTag>APPLICATION/TIMER_T2</CPTag>
                                <DefaultValue>40000</DefaultValue>
                            </Timer_T2>

                            <Timer_T4 type="leaf" occurrence="0/1">
                                <SettingID>8</SettingID>
                                <Description>SIP timer T4 - The maximum duration a message will remain in the network,  in milliseconds.</Description>
                                <RegistryValuePath>/apps/ims/ims-acc/account-id/timer-t4</RegistryValuePath>
                                <RegistryValueType>UInt</RegistryValueType>
                                <PossibleValue>N/A</PossibleValue>
                                <AccessType>Add</AccessType>
                                <AccessType>Get</AccessType>
                                <AccessType>Replace</AccessType>
                                <CPTag>APPLICATION/TIMER_T4</CPTag>
                                <DefaultValue>5000</DefaultValue>
                            </Timer_T4>

                            <Private_user_identity type="leaf" occurrence="0/1">
                                <SettingID>9</SettingID>
                                <Description>Represents the private user identity.</Description>
                                <RegistryValuePath>/apps/ims/ims-acc/account-id/private-user-id</RegistryValuePath>
                                <RegistryValueType>String</RegistryValueType>
                                <PossibleValue>N/A</PossibleValue>
                                <AccessType>Add</AccessType>
                                <AccessType>Get</AccessType>
                                <AccessType>Replace</AccessType>
                                <CPTag>N/A</CPTag>
                                <DefaultValue>N/A</DefaultValue>
                            </Private_user_identity>

                            <Public_user_identity_List type="node" occurrence="1/1">
                                <X type="placeholder" occurrence="0/3">
                                    <Public_user_identity type="leaf" occurrence="0/1">
                                        <SettingID>10</SettingID>
                                        <Description>Public user identity</Description>
                                        <RegistryValuePath>/apps/ims/ims-acc/account-id/userid1</RegistryValuePath>
                                        <RegistryValuePath>/apps/ims/ims-acc/account-id/userid2</RegistryValuePath>
                                        <RegistryValuePath>/apps/ims/ims-acc/account-id/userid3</RegistryValuePath>
                                        <RegistryValueType>String</RegistryValueType>
                                        <PossibleValue>N/A</PossibleValue>
                                        <AccessType>Add</AccessType>
                                        <AccessType>Get</AccessType>
                                        <AccessType>Replace</AccessType>
                                        <CPTag>APPLICATION/PUBLIC-USER-IDENTITY</CPTag>
                                        <DefaultValue>N/A</DefaultValue>
                                    </Public_user_identity>                             
                                </X>
                            </Public_user_identity_List>

                            <Home_network_domain_name type="leaf" occurrence="0/1">
                                <SettingID>11</SettingID>
                                <Description>Indicates the home network domain name.</Description>
                                <RegistryValuePath>/apps/ims/ims-acc/account-id/home-net-dom-name</RegistryValuePath>
                                <RegistryValueType>String</RegistryValueType>
                                <PossibleValue>N/A</PossibleValue>
                                <AccessType>Add</AccessType>
                                <AccessType>Get</AccessType>
                                <AccessType>Replace</AccessType>
                                <CPTag>N/A</CPTag>
                                <DefaultValue>N/A</DefaultValue>
                            </Home_network_domain_name>

                            <Ext type="node" occurrence="1/1">
              
                                <Profile_Mode type="leaf" occurrence="0/1">
                                    <SettingID>12</SettingID>
                                    <Description>This setting will allow the provider to specify the profile mode. Values { IETF, IMS }</Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/profile-mode</RegistryValuePath>
                                    <RegistryValueType>UInt</RegistryValueType>
                                    <PossibleValue mapsTo="0">IETF</PossibleValue>
                                    <PossibleValue mapsTo="1">IMS</PossibleValue>
                                    <PossibleValue>0</PossibleValue>
                                    <PossibleValue>1</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/PROFILE_MODE</CPTag>
                                    <DefaultValue>1</DefaultValue>
                                </Profile_Mode>

                                <Authentication_Mode type="leaf" occurrence="0/1">
                                    <SettingID>13</SettingID>
                                    <Description>This setting will allow the provider to specify the type of authentication support they provide. Values { EARLY_IMS, FULL_IMS, FALLBACK }</Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/authentication-mode</RegistryValuePath>
                                    <RegistryValueType>UInt</RegistryValueType>
                                    <PossibleValue mapsTo="0">EARLY_IMS</PossibleValue>
                                    <PossibleValue mapsTo="1">FULL_IMS</PossibleValue>
                                    <PossibleValue mapsTo="2">FALLBACK</PossibleValue>
                                    <PossibleValue>0</PossibleValue>
                                    <PossibleValue>1</PossibleValue>
                                    <PossibleValue>2</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/AUTHENTICATION_MODE</CPTag>
                                    <DefaultValue>1</DefaultValue>
                                </Authentication_Mode>

                                <ISIM_Mandatory_Flag type="leaf" occurrence="0/1">
                                    <SettingID>14</SettingID>
                                    <Description>Flag indicating whether or not the use of an ISIM is mandatory</Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/isim-mandatory-flag</RegistryValuePath>
                                    <RegistryValueType>Binary</RegistryValueType>
                                    <PossibleValue>0</PossibleValue>
                                    <PossibleValue>1</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/ISIM_MANDATORY_FLAG</CPTag>
                                    <DefaultValue>0</DefaultValue>
                                </ISIM_Mandatory_Flag>

                                <Proxy_Port type="leaf" occurrence="0/1">
                                    <SettingID>15</SettingID>
                                    <Description>Proxy port used in Early IMS implementations</Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/proxy-port</RegistryValuePath>
                                    <RegistryValueType>UInt</RegistryValueType>
                                    <PossibleValue>N/A</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/PROXY_PORT</CPTag>
                                    <DefaultValue>5060</DefaultValue>
                                </Proxy_Port>

                                <Transport type="leaf" occurrence="0/1">
                                    <SettingID>16</SettingID>
                                    <Description>Transport protocol used between UE and proxy.  Values { UDP, TCP }</Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/transport-protocol</RegistryValuePath>
                                    <RegistryValueType>UInt</RegistryValueType>
                                    <PossibleValue mapsTo="0">UDP</PossibleValue>
                                    <PossibleValue mapsTo="1">TCP</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/TRANSPORT</CPTag>
                                    <DefaultValue>0</DefaultValue>
                                </Transport>

                                <SignalComp type="leaf" occurrence="0/1">
                                    <SettingID>17</SettingID>
                                    <Description>Use signal compression</Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/sig-comp</RegistryValuePath>
                                    <RegistryValueType>Binary</RegistryValueType>
                                    <PossibleValue>0</PossibleValue>
                                    <PossibleValue>1</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/SIGNAL_COMP</CPTag>
                                    <DefaultValue>0</DefaultValue>
                                </SignalComp>

                                <Loose_Router type="leaf" occurrence="0/1">
                                    <SettingID>18</SettingID>
                                    <Description>Flag to enable loose routing.  Default is enabled.</Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/loose-router</RegistryValuePath>
                                    <RegistryValueType>Binary</RegistryValueType>
                                    <PossibleValue>0</PossibleValue>
                                    <PossibleValue>1</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/LOOSE_ROUTER</CPTag>
                                    <DefaultValue>1</DefaultValue>
                                </Loose_Router>
                                
                                <Registration_Events type="leaf" occurrence="0/1">
                                    <SettingID>19</SettingID>
                                    <Description>Flag to enable subscribing for registration events like network initiated deregistration or re-authentication after successful registration.</Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/registration-events</RegistryValuePath>
                                    <RegistryValueType>Binary</RegistryValueType>
                                    <PossibleValue>0</PossibleValue>
                                    <PossibleValue>1</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/REGISTRATION_EVENTS</CPTag>
                                    <DefaultValue>1</DefaultValue>
                                </Registration_Events>

                                <Session_Timer type="leaf" occurrence="0/1">
                                    <SettingID>20</SettingID>
                                    <Description>Non-zero value indicates session expiry timer value, 0 to disable </Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/session-timer</RegistryValuePath>
                                    <RegistryValueType>UInt</RegistryValueType>
                                    <PossibleValue>N/A</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/SESSION_TIMER</CPTag>
                                    <DefaultValue>1800</DefaultValue>
                                </Session_Timer>

                                <Timer_ClientTransaction type="leaf" occurrence="0/1">
                                    <SettingID>21</SettingID>
                                    <Description>Maximum lifetime for a SIP client transaction in milliseconds, default is 3 minutes. </Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/timer-client-transaction</RegistryValuePath>
                                    <RegistryValueType>UInt</RegistryValueType>
                                    <PossibleValue>N/A</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/TIMER_CLIENT_TRANSACTION</CPTag>
                                    <DefaultValue>180000</DefaultValue>
                                </Timer_ClientTransaction>

                                <Realm type="leaf" occurrence="0/1">
                                    <SettingID>22</SettingID>
                                    <Description>IETF mode only.  Realm to use for authentication. </Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/realm</RegistryValuePath>
                                    <RegistryValueType>String</RegistryValueType>
                                    <PossibleValue>N/A</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/REALM</CPTag>
                                    <DefaultValue>N/A</DefaultValue>
                                </Realm>
                    
                                <Realm_User_Name type="leaf" occurrence="0/1">
                                    <SettingID>23</SettingID>
                                    <Description>IETF mode only.  Realm user name to use for authentication. </Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/realm-user-name</RegistryValuePath>
                                    <RegistryValueType>String</RegistryValueType>
                                    <PossibleValue>N/A</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Get</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/REALM_USER_NAME</CPTag>
                                    <DefaultValue>N/A</DefaultValue>
                                </Realm_User_Name>

                                <Realm_User_Password type="leaf" occurrence="0/1">
                                    <SettingID>24</SettingID>
                                    <Description>IETF mode only.  Realm user password to use for authentication. </Description>
                                    <RegistryValuePath>/apps/ims/ims-acc/account-id/realm-user-password</RegistryValuePath>
                                    <RegistryValueType>String</RegistryValueType>
                                    <PossibleValue>N/A</PossibleValue>
                                    <AccessType>Add</AccessType>
                                    <AccessType>Replace</AccessType>
                                    <CPTag>APPLICATION/EXT/REALM_USER_PASSWORD</CPTag>
                                    <DefaultValue>N/A</DefaultValue>
                                </Realm_User_Password>

                            </Ext>
                        </X>
                        <ActiveAcc type="leaf" occurrence="1/1">
                          <SettingID>25</SettingID>
                          <Description>Active IMS account</Description>
                          <RegistryValuePath>/apps/ims/ims-acc/active-account</RegistryValuePath>
                          <RegistryValueType>String</RegistryValueType>
                          <PossibleValue>N/A</PossibleValue>
                          <AccessType>Get</AccessType>
                          <AccessType>Replace</AccessType>
                          <CPTag>N/A</CPTag>
                          <DefaultValue>N/A</DefaultValue>
                        </ActiveAcc>
                    </IMSAcc>
                </IMS>
            </Settings>
        </Com.SonyEricsson>
    </DMTree>
</Unified_Provisioning>